# A

## add\_damage（触发技能）

该技能的作用是添加对来自任意伤害触发器的伤害，包括你受到的伤害和攻击出的伤害。

```
- id: add_damage
  args:
    damage: 2 
```

## add\_holder（触发技能）

我们在前面一节学习了触发技能和永久技能，那么还是那把镐子，如果我想要设置的是玩家挖掘方块时给予短暂的药水效果，这怎么办呢？这个技能就派上用场了。

该技能作用是让某个永久技能在你所设置的时长内短暂的触发。

```
- id: add_holder
  args:
    effects: 
      - id: movement_speed_multiplier
        args:
          multiplier: 1.25
    conditions: []
    duration: 300
```

## add\_holder\_in\_radius（触发技能）

同上，但是触发的技能将作用于一定范围内的所有玩家。您可以通过该技能制作给一定范围内玩家添加永久药水效果等技能。

```
- id: add_holder_in_radius
  args:
    effects: 
      - id: movement_speed_multiplier
        args:
          multiplier: 1.25
    conditions: []
    duration: 300 
    radius: 5.3 # 作用的半径
    apply-to-self: false # 是否作用自己
```

## add\_points（永久技能）/give\_points（触发技能）

我们首先需要了解 The Effect System 下的新的系统 —— The Point System，我们称之为积分系统。积分系统可以作为自定义变量在各个技能中使用，例如你可以通过它设置一把剑击杀的怪物越多，伤害越高，这时我们将这把剑的击杀数进行记录并转换为积分，在技能中使用这个积分的变量实现该效果，我们将在下一章的实战训练中具体介绍。

这两个技能的作用都是记录积分（例如积分+1、积分+3、积分-4）。其中第一个为永久技能，第二个为触发技能，很明显上面给的例子我们应当使用第二个触发技能，因为我们在击杀怪物才会触发该技能，而记录也是瞬间完成的。第一个永久技能是该物品玩家手持、该宠物玩家激活等情况下积分一直被记录，你可以用它制作一个威胁值系统，例如这把武器威胁值为20，这个宠物威胁值为100，这样就可以计算该玩家当前一系列装备的好坏程度。

```
- id: add_points
  args:
    type: g_souls
    amount: 1
```

```
- id: give_points
  args:
    type: g_souls
    amount: 1
```

其中：

* args.type：积分的id（名称），你可以随意取名，以 `g_` 开头即代表各个插件互通这个积分。
* args.amount：添加或者减少的数量。将值设置为负值即为减少。

## add\_stat（永久技能）

该技能作用是给玩家添加或者减少 **EcoSkills / AureliumSkills** 的属性。

```
- id: add_stat
  args:
    stat: strength
    amount: 10
```

其中：

* args.stat：属性的 **id**。
* args.amount：属性数量。

## add\_stat\_temporarily（触发技能）

该技能作用是给玩家临时的添加或者减少 **EcoSkills / AureliumSkills** 的属性。

```
- id: add_stat_temporarily
  args:
    stat: strength
    amount: 10
    duration: 20
```

其中：

* args.duration：持续时长，以 **tick** 为单位。

## armor（永久技能）

该技能作用是给玩家添加原版的盔甲值属性，有关原版的盔甲机制前文已经说明，不再赘述。

```
- id: armor
  args:
    points: 4
```

其中：

* args.points：盔甲值。

## armor\_toughness（永久技能）

该技能作用是给玩家添加原版的盔甲韧性属性，有关原版的盔甲机制前文已经说明，不再赘述。

```
- id: armor_toughness
  args:
    points: 4
```

其中：

* args.points：盔甲韧性值。

## arrow\_ring（触发技能）

该技能作用是释放箭雨。

```
- id: arrow_ring
  args:
    amount: 12
    height: 3
    radius: 1.5
    arrow_damage: 10
    fire_ticks: 30
```

其中：

* args.amount：箭的数量。
* args.height：箭的初始高度。
* args.radius：箭雨的半径。
* args.arrow\_damage：箭的伤害。
* args.fire\_ticks：箭雨的持续时长。

## attack\_speed\_multiplier（永久技能）

该技能作用是加倍玩家的原版攻击速度属性。

```
- id: attack_speed_multiplier
  args:
    multiplier: 1.5
```

其中：

* args.multiplier：加倍值。

## autosmelt（触发技能）

该技能作用是自动熔炼掉落的物品、方块。

```
- id: autosmelt
  args:
    drop_xp: true
```

其中：

* args.drop\_xp：掉落的物品、方块是否按照正常情况下掉落经验值。


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.superiormc.cn/ecox-doc/ji-neng-xi-tong/ji-neng-lie-biao/a.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
